Subject: bug#19877: 24.4; highlight-regexp displays nonsense options for faces

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 24 Jan 2022 20:11:54 +0100

Juri Linkov <[email-masked]> writes:

> I thought it was a feature. 😯  I don't use these duplicate faces, but
> it seems someone intentionally created a copy at the end of the face list.
> OTOH, we could wait until someone will protest this change.

Hm, it was

(append hi-lock--unused-faces
	(cdr (member last-used-face hi-lock-face-defaults))
	hi-lock-face-defaults)

And I guess that makes a weird kind of sense (if you want to avoid all
the other non-hi faces).  But...  It's pretty weird.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no